Subject: bug#27042: test-package.sh fails on aarch64

From: Efraim Flashner <[email-masked]>
Date: Mon, 29 May 2017 10:21:08 +0300

On Wed, May 24, 2017 at 10:09:23AM +0300, Efraim Flashner wrote:
> On Tue, May 23, 2017 at 11:01:18PM +0200, Ludovic Courtès wrote:
> > Hi Efraim,
> > 
> > Efraim Flashner <[email-masked]> skribis:
> > 
> > > On aarch64 the test 'test-package.sh' fails due to 'offload: command not
> > > found'
> > 
> > You mean tests/guix-package.sh, right?  Could it be a misconfiguration,
> > like ./configure initially detected Guile-SSH (is
> > HAVE_DAEMON_OFFLOAD_HOOK defined in nix/config.h), but then, later on,
> > Guile-SSH became unavailable (removed, search path changed, etc.) and at
> > the time the test was run it was no longer there, so ‘guix offload’
> > failed.  Something like that.
> > 
> > You can check that by building in a pristine tree:
> > 
> >   make distclean
> >   autoreconf -vfi
> >   ./configure -C …
> >   …
> > 
> > HTH,
> > Ludo’.
> 
> I can test this, but it also happens with 'guix build guix', so it
> doesn't seem likely to me that this would make a difference.
> 

I haven't tested with 'make distclean' yet, but `guix environment
--ad-hoc guile-ssh test...' works. Interestingly, 'guix environment
--ad-hoc guile2.0-ssh test...' also works.

I tried adding guile-ssh to the inputs also to see if that would have it
pulled in by the tests but it didn't help.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted